<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: IPv6</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d2/df2/group__core-ipv6.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">IPv6<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This module includes definitions for the IPv6 network layer.  
<a href="#details">More...</a></p>
<div class="dynheader">
Collaboration diagram for IPv6:</div>
<div class="dyncontent">
<center><table><tr><td><img src="../../d2/df2/group__core-ipv6.png" border="0" alt="" usemap="#d2_2df2_2group____core-ipv6"/>
<map name="d2_2df2_2group____core-ipv6" id="d2_2df2_2group____core-ipv6">
<area shape="rect" id="node2" href="../../d9/dbe/group__core-ip6-icmp6.html" title="This module includes definitions for ICMPv6. " alt="" coords="231,5,300,31"/>
<area shape="rect" id="node3" href="../../d5/d43/group__core-ip6-netif.html" title="This module includes definitions for IPv6 network interfaces. " alt="" coords="200,55,332,80"/>
<area shape="rect" id="node4" href="../../d9/dea/group__core-ip6-mpl.html" title="This module includes definitions for MPL. " alt="" coords="241,104,290,129"/>
<area shape="rect" id="node5" href="../../d9/dcf/group__core-ip6-ip6.html" title="This module includes definitions for core IPv6 networking. " alt="" coords="242,153,290,179"/>
<area shape="rect" id="node6" href="../../d0/de1/group__core.html" title="This module includes the core OpenThread stack. " alt="" coords="5,80,56,105"/>
</map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d9/dbe/group__core-ip6-icmp6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dbe/group__core-ip6-icmp6.html">ICMPv6</a></td></tr>
<tr class="memdesc:d9/dbe/group__core-ip6-icmp6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This module includes definitions for ICMPv6. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d9/dcf/group__core-ip6-ip6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dcf/group__core-ip6-ip6.html">IPv6</a></td></tr>
<tr class="memdesc:d9/dcf/group__core-ip6-ip6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This module includes definitions for core IPv6 networking. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d9/dea/group__core-ip6-mpl"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/dea/group__core-ip6-mpl.html">MPL</a></td></tr>
<tr class="memdesc:d9/dea/group__core-ip6-mpl"><td class="mdescLeft">&#160;</td><td class="mdescRight">This module includes definitions for MPL. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d5/d43/group__core-ip6-netif"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d43/group__core-ip6-netif.html">Network Interfaces</a></td></tr>
<tr class="memdesc:d5/d43/group__core-ip6-netif"><td class="mdescLeft">&#160;</td><td class="mdescRight">This module includes definitions for IPv6 network interfaces. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/db8/classThread_1_1Ip6_1_1Filter.html">Thread::Ip6::Filter</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements an IPv6 datagram filter.  <a href="../../df/db8/classThread_1_1Ip6_1_1Filter.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga12eef87f09ec1aee0d6d1c13fc2357bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga12eef87f09ec1aee0d6d1c13fc2357bf"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df2/group__core-ipv6.html#ga12eef87f09ec1aee0d6d1c13fc2357bf">Thread::Ip6::Filter::Filter</a> (void)</td></tr>
<tr class="memdesc:ga12eef87f09ec1aee0d6d1c13fc2357bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This constructor initializes the <a class="el" href="../../df/db8/classThread_1_1Ip6_1_1Filter.html" title="This class implements an IPv6 datagram filter. ">Filter</a> object. <br /></td></tr>
<tr class="separator:ga12eef87f09ec1aee0d6d1c13fc2357bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae28a5d11156eb8eca60f8145a52d335a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df2/group__core-ipv6.html#gae28a5d11156eb8eca60f8145a52d335a">Thread::Ip6::Filter::Accept</a> (Message &amp;aMessage) const </td></tr>
<tr class="memdesc:gae28a5d11156eb8eca60f8145a52d335a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the IPv6 datagram passes the filter.  <a href="#gae28a5d11156eb8eca60f8145a52d335a">More...</a><br /></td></tr>
<tr class="separator:gae28a5d11156eb8eca60f8145a52d335a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1300d30ac5dfe405714178b4aede4c82"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df2/group__core-ipv6.html#ga1300d30ac5dfe405714178b4aede4c82">Thread::Ip6::Filter::AddUnsecurePort</a> (uint16_t aPort)</td></tr>
<tr class="memdesc:ga1300d30ac5dfe405714178b4aede4c82"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method adds a port to the allowed unsecured port list.  <a href="#ga1300d30ac5dfe405714178b4aede4c82">More...</a><br /></td></tr>
<tr class="separator:ga1300d30ac5dfe405714178b4aede4c82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3acc28966050de95753946d13db6c55f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df2/group__core-ipv6.html#ga3acc28966050de95753946d13db6c55f">Thread::Ip6::Filter::RemoveUnsecurePort</a> (uint16_t aPort)</td></tr>
<tr class="memdesc:ga3acc28966050de95753946d13db6c55f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method removes a port from the allowed unsecure port list.  <a href="#ga3acc28966050de95753946d13db6c55f">More...</a><br /></td></tr>
<tr class="separator:ga3acc28966050de95753946d13db6c55f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad48cac4b6d358fcc1ce7af400501e94d"><td class="memItemLeft" align="right" valign="top">const uint16_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/df2/group__core-ipv6.html#gad48cac4b6d358fcc1ce7af400501e94d">Thread::Ip6::Filter::GetUnsecurePorts</a> (uint8_t &amp;aNumEntries) const </td></tr>
<tr class="memdesc:gad48cac4b6d358fcc1ce7af400501e94d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns a pointer to the unsecure port list.  <a href="#gad48cac4b6d358fcc1ce7af400501e94d">More...</a><br /></td></tr>
<tr class="separator:gad48cac4b6d358fcc1ce7af400501e94d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>This module includes definitions for the IPv6 network layer. </p>
<p>This module includes definitions for IPv6 datagram filtering.</p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gae28a5d11156eb8eca60f8145a52d335a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::Ip6::Filter::Accept </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;&#160;</td>
          <td class="paramname"><em>aMessage</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method indicates whether or not the IPv6 datagram passes the filter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aMessage</td><td>The IPv6 datagram to process.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>Accept the IPv6 datagram. </td></tr>
    <tr><td class="paramname">FALSE</td><td>Reject the IPv6 datagram. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/df2/group__core-ipv6_gae28a5d11156eb8eca60f8145a52d335a_cgraph.png" border="0" usemap="#d2/df2/group__core-ipv6_gae28a5d11156eb8eca60f8145a52d335a_cgraph" alt=""/></div>
<map name="d2/df2/group__core-ipv6_gae28a5d11156eb8eca60f8145a52d335a_cgraph" id="d2/df2/group__core-ipv6_gae28a5d11156eb8eca60f8145a52d335a_cgraph">
<area shape="rect" id="node2" href="../../dc/d3c/classThread_1_1Message.html#a1ca6e4ae9889bec648ea6165a450c768" title="This method indicates whether or not link security is enabled for the message. " alt="" coords="180,5,395,44"/>
<area shape="rect" id="node3" href="../../dc/d3c/classThread_1_1Message.html#a76033bbc15170d72452186058defafa2" title="This method reads bytes from the message. " alt="" coords="205,68,370,93"/>
<area shape="rect" id="node5" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a24b065a50a342b00d2d8907b2fb3a66a" title="This method returns the IPv6 Destination address. " alt="" coords="217,117,358,156"/>
<area shape="rect" id="node6" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a95748f9c0a5048ce8700cd040d7efc52" title="This method indicates whether or not the IPv6 address scope is Link&#45;Local. " alt="" coords="689,169,835,208"/>
<area shape="rect" id="node7" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a25eecfa3d5faa101e497e8fde3964e13" title="This method indicates whether or not the IPv6 address is a link&#45;local multicast address. " alt="" coords="214,232,362,271"/>
<area shape="rect" id="node11" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a7717de6245b76cb29e09ce439ff15276" title="This method returns the IPv6 Next Header value. " alt="" coords="217,295,358,333"/>
<area shape="rect" id="node12" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#a21cbe8e5d4940ca6192f2fa58636c8cc" title="This method returns the UDP Destination Port. " alt="" coords="205,357,370,396"/>
<area shape="rect" id="node13" href="../../d1/d1f/classThread_1_1Ip6_1_1TcpHeader.html#a5a88450a820a5315654ba1953a574797" title="This method returns the TCP Destination Port. " alt="" coords="207,420,368,459"/>
<area shape="rect" id="node4" href="../../db/d50/classThread_1_1Buffer.html#a34ab22941ccd9bb222d251a6a18c95bf" title="This method returns a pointer to the next message buffer. " alt="" coords="443,68,641,93"/>
<area shape="rect" id="node8" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#a37b709740053966d80e6c4b65e38ad2e" title="This method indicates whether or not the IPv6 address is multicast address. " alt="" coords="689,295,835,333"/>
<area shape="rect" id="node9" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#ad4ff2b7d05753e0d533ff30a186f53dc" title="This method returns the IPv6 address scope. " alt="" coords="469,232,615,271"/>
<area shape="rect" id="node10" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html#adf30776c446d5413a6bc783fe967311b" title="This method indicates whether or not the IPv6 address is the Loopback Address. " alt="" coords="689,232,835,271"/>
</map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/df2/group__core-ipv6_gae28a5d11156eb8eca60f8145a52d335a_icgraph.png" border="0" usemap="#d2/df2/group__core-ipv6_gae28a5d11156eb8eca60f8145a52d335a_icgraph" alt=""/></div>
<map name="d2/df2/group__core-ipv6_gae28a5d11156eb8eca60f8145a52d335a_icgraph" id="d2/df2/group__core-ipv6_gae28a5d11156eb8eca60f8145a52d335a_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="180,33,349,72"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="397,40,578,65"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="626,5,799,44"/>
<area shape="rect" id="node5" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="671,68,755,93"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="847,61,1003,100"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga1300d30ac5dfe405714178b4aede4c82"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::Ip6::Filter::AddUnsecurePort </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aPort</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method adds a port to the allowed unsecured port list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aPort</td><td>The port value.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>The port was successfully added to the allowed unsecure port list. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>The unsecure port list is full. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/df2/group__core-ipv6_ga1300d30ac5dfe405714178b4aede4c82_icgraph.png" border="0" usemap="#d2/df2/group__core-ipv6_ga1300d30ac5dfe405714178b4aede4c82_icgraph" alt=""/></div>
<map name="d2/df2/group__core-ipv6_ga1300d30ac5dfe405714178b4aede4c82_icgraph" id="d2/df2/group__core-ipv6_ga1300d30ac5dfe405714178b4aede4c82_icgraph">
<area shape="rect" id="node2" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a5109c8ea0e2c168c18f729d767e6b999" title="This method stops the Joiner service. " alt="" coords="207,5,381,44"/>
<area shape="rect" id="node3" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a5479381c182fcb3e0135c2c75fc2c96e" title="This constructor initializes the Joiner Router object. " alt="" coords="187,68,401,107"/>
<area shape="rect" id="node4" href="../../db/da2/group__config-br.html#gaec4ff641d5b414d30b46435ba63bdb4f" title="This function adds a port to the allowed unsecured port list. " alt="" coords="225,131,363,156"/>
<area shape="rect" id="node5" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="449,124,640,163"/>
<area shape="rect" id="node6" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="688,124,883,163"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gad48cac4b6d358fcc1ce7af400501e94d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const uint16_t * Thread::Ip6::Filter::GetUnsecurePorts </td>
          <td>(</td>
          <td class="paramtype">uint8_t &amp;&#160;</td>
          <td class="paramname"><em>aNumEntries</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method returns a pointer to the unsecure port list. </p>
<dl class="section note"><dt>Note</dt><dd>Port value 0 is used to indicate an invalid entry.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">aNumEntries</td><td>The number of entries in the list.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the unsecure port list. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/df2/group__core-ipv6_gad48cac4b6d358fcc1ce7af400501e94d_icgraph.png" border="0" usemap="#d2/df2/group__core-ipv6_gad48cac4b6d358fcc1ce7af400501e94d_icgraph" alt=""/></div>
<map name="d2/df2/group__core-ipv6_gad48cac4b6d358fcc1ce7af400501e94d_icgraph" id="d2/df2/group__core-ipv6_gad48cac4b6d358fcc1ce7af400501e94d_icgraph">
<area shape="rect" id="node2" href="../../d6/d88/classThread_1_1Mac_1_1Mac.html#aacc5fd2b9ea373a699840afa8e562dc9" title="This method registers a new MAC sender client. " alt="" coords="192,71,398,109"/>
<area shape="rect" id="node13" href="../../db/da2/group__config-br.html#gaa599a5ba370e49064f701db9f7c2f88f" title="This function returns a pointer to the unsecure port list. " alt="" coords="224,135,366,160"/>
<area shape="rect" id="node3" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a7668817d03306dadcb36ff9eaad72299" title="This method is called by the address resolver when an EID&#45;to&#45;RLOC mapping has been resolved..." alt="" coords="459,68,624,107"/>
<area shape="rect" id="node4" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="696,68,869,107"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="928,68,1092,107"/>
<area shape="rect" id="node6" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1143,5,1307,44"/>
<area shape="rect" id="node7" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1140,68,1310,107"/>
<area shape="rect" id="node12" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1155,131,1296,169"/>
<area shape="rect" id="node8" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1358,75,1539,100"/>
<area shape="rect" id="node9" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1587,40,1760,79"/>
<area shape="rect" id="node10" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1631,103,1715,128"/>
<area shape="rect" id="node11" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1808,96,1963,135"/>
<area shape="rect" id="node14" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="446,131,637,169"/>
<area shape="rect" id="node15" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="685,131,880,169"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga3acc28966050de95753946d13db6c55f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> Thread::Ip6::Filter::RemoveUnsecurePort </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aPort</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This method removes a port from the allowed unsecure port list. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aPort</td><td>The port value.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>The port was successfully removed from the allowed unsecure port list. </td></tr>
    <tr><td class="paramname">kThreadError_NotFound</td><td>The port was not found in the unsecure port list. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/df2/group__core-ipv6_ga3acc28966050de95753946d13db6c55f_icgraph.png" border="0" usemap="#d2/df2/group__core-ipv6_ga3acc28966050de95753946d13db6c55f_icgraph" alt=""/></div>
<map name="d2/df2/group__core-ipv6_ga3acc28966050de95753946d13db6c55f_icgraph" id="d2/df2/group__core-ipv6_ga3acc28966050de95753946d13db6c55f_icgraph">
<area shape="rect" id="node2" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a5109c8ea0e2c168c18f729d767e6b999" title="This method stops the Joiner service. " alt="" coords="233,5,407,44"/>
<area shape="rect" id="node3" href="../../dd/d9d/classThread_1_1MeshCoP_1_1JoinerRouter.html#a5479381c182fcb3e0135c2c75fc2c96e" title="This constructor initializes the Joiner Router object. " alt="" coords="213,68,427,107"/>
<area shape="rect" id="node4" href="../../db/da2/group__config-br.html#gaeac6d5f2e179d969ea87c640caad8b3d" title="This function removes a port from the allowed unsecure port list. " alt="" coords="238,131,402,156"/>
<area shape="rect" id="node5" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="475,124,666,163"/>
<area shape="rect" id="node6" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="714,124,909,163"/>
</map>
</div>
</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
